Package org.eclipse.lemminx.dom

## Interface DOMRange

All Known Implementing Classes:
  `DOMAttr`, `DOMCDATASection`, `DOMCharacterData`, `DOMComment`, `DOMDocument`, `DOMDocumentType`, `DOMElement`, `DOMNode`, `DOMProcessingInstruction`, `DOMText`, `DTDAttlistDecl`, `DTDDeclNode`, `DTDDeclParameter`, `DTDElementDecl`, `DTDEntityDecl`, `DTDNotationDecl`, `SchemaLocationHint`, `SearchNode`

    public interface DOMRange

DOM range

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getEnd()` Returns the end offset of the node.
`DOMDocument` `getOwnerDocument()` Returns the owner document.
`int` `getStart()` Returns the start offset of the node.

### Method Detail

#### getStart

    int getStart()

Returns the start offset of the node.

Returns:
  the start offset of the node.

#### getEnd

    int getEnd()

Returns the end offset of the node.

Returns:
  the end offset of the node.

#### getOwnerDocument

    DOMDocument getOwnerDocument()

Returns the owner document.

Returns:
  the owner document.